| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
PublicationBuiltinTopicData Struct Reference

Structure PublicationBuiltinTopicData, contains the information on a discovered publication. More...

`#include <PublicationBuiltinTopicData.hpp>`

## Public Member Functions

FASTDDS_EXPORTED_API | PublicationBuiltinTopicData ()
FASTDDS_EXPORTED_API | PublicationBuiltinTopicData (const size_t max_unicast_locators, const size_t max_multicast_locators, const VariableLengthDataLimits &data_limits)

## Public Attributes

BuiltinTopicKey_t | key {{0, 0, 0}}
| Builtin topic Key.
BuiltinTopicKey_t | participant_key {{0, 0, 0}}
| Builtin participant topic Key.
fastcdr::string_255 | topic_name
| Topic name.
fastcdr::string_255 | type_name
| Type name.
TopicKind_t | topic_kind = TopicKind_t::NO_KEY
| Topic kind.
dds::DurabilityQosPolicy | durability
| Durability Qos, implemented in the library.
dds::DurabilityServiceQosPolicy | durability_service
| Durability Service Qos, NOT implemented in the library.
dds::DeadlineQosPolicy | deadline
| Deadline Qos, implemented in the library.
dds::LatencyBudgetQosPolicy | latency_budget
| Latency Budget Qos, NOT implemented in the library.
dds::LivelinessQosPolicy | liveliness
| Liveliness Qos, implemented in the library.
dds::ReliabilityQosPolicy | reliability
| Reliability Qos, implemented in the library.
dds::LifespanQosPolicy | lifespan
| Lifespan Qos, implemented in the library.
dds::UserDataQosPolicy | user_data
| User Data Qos, implemented in the library.
dds::OwnershipQosPolicy | ownership
| Ownership Qos, implemented in the library.
dds::OwnershipStrengthQosPolicy | ownership_strength
| Ownership Strength Qos, implemented in the library.
dds::DestinationOrderQosPolicy | destination_order
| Destination Order Qos, NOT implemented in the library.
dds::PresentationQosPolicy | presentation
| Presentation Qos, NOT implemented in the library.
dds::PartitionQosPolicy | partition
| Partition Qos, implemented in the library.
dds::TopicDataQosPolicy | topic_data
| Topic Data Qos, NOT implemented in the library.
dds::GroupDataQosPolicy | group_data
| Group Data Qos, implemented in the library.
dds::xtypes::TypeInformationParameter | type_information
| Type information.
dds::DataRepresentationQosPolicy | representation
| Data representation.
GUID_t | related_datareader_key
dds::DisablePositiveACKsQosPolicy | disable_positive_acks
| Disable positive acks, implemented in the library.
dds::DataSharingQosPolicy | data_sharing
| Information for data sharing compatibility check.
fastcdr::optional< dds::HistoryQosPolicy > | history
| History Qos, kind and depth.
fastcdr::optional< dds::ResourceLimitsQosPolicy > | resource_limits
| Resource limits Qos.
fastcdr::optional< dds::TransportPriorityQosPolicy > | transport_priority
| Transport priority Qos.
fastcdr::optional< dds::WriterDataLifecycleQosPolicy > | writer_data_lifecycle
| Writer data lifecycle Qos.
fastcdr::optional< dds::PublishModeQosPolicy > | publish_mode
| Publish mode qos policy.
fastcdr::optional< dds::RTPSReliableWriterQos > | rtps_reliable_writer
| Reliable writer qos policy.
fastcdr::optional< dds::RTPSEndpointQos > | endpoint
| Endpoint qos policy.
fastcdr::optional< dds::WriterResourceLimitsQos > | writer_resource_limits
| Writer resource limits qos policy.
GUID_t | guid
| GUID.
GUID_t | persistence_guid
| Persistence GUID.
GUID_t | participant_guid
| Participant GUID.
RemoteLocatorList | remote_locators
| Remote locators.
uint32_t | max_serialized_size = 0
| Maximum serialized size of data type.
NetworkConfigSet_t | loopback_transformation {}
| Network configuration.
ParameterPropertyList_t | properties
| Property list.

## Detailed Description

Structure PublicationBuiltinTopicData, contains the information on a discovered publication.

## Constructor & Destructor Documentation

## ◆ PublicationBuiltinTopicData() [1/2]

FASTDDS_EXPORTED_API PublicationBuiltinTopicData | ( |  | ) |

## ◆ PublicationBuiltinTopicData() [2/2]

FASTDDS_EXPORTED_API PublicationBuiltinTopicData | ( | const size_t | max_unicast_locators,
|  | const size_t | max_multicast_locators,
|  | const VariableLengthDataLimits & | data_limits )

## Member Data Documentation

## ◆ data_sharing

dds::DataSharingQosPolicy data_sharing

Information for data sharing compatibility check.

## ◆ deadline

dds::DeadlineQosPolicy deadline

Deadline Qos, implemented in the library.

## ◆ destination_order

dds::DestinationOrderQosPolicy destination_order

Destination Order Qos, NOT implemented in the library.

## ◆ disable_positive_acks

dds::DisablePositiveACKsQosPolicy disable_positive_acks

Disable positive acks, implemented in the library.

## ◆ durability

dds::DurabilityQosPolicy durability

Durability Qos, implemented in the library.

## ◆ durability_service

dds::DurabilityServiceQosPolicy durability_service

Durability Service Qos, NOT implemented in the library.

## ◆ endpoint

fastcdr::optional<dds::RTPSEndpointQos> endpoint

Endpoint qos policy.

## ◆ group_data

dds::GroupDataQosPolicy group_data

Group Data Qos, implemented in the library.

## ◆ guid

GUID_t guid

GUID.

## ◆ history

fastcdr::optional<dds::HistoryQosPolicy> history

History Qos, kind and depth.

## ◆ key

BuiltinTopicKey_t key {{0, 0, 0}}

Builtin topic Key.

## ◆ latency_budget

dds::LatencyBudgetQosPolicy latency_budget

Latency Budget Qos, NOT implemented in the library.

## ◆ lifespan

dds::LifespanQosPolicy lifespan

Lifespan Qos, implemented in the library.

## ◆ liveliness

dds::LivelinessQosPolicy liveliness

Liveliness Qos, implemented in the library.

## ◆ loopback_transformation

NetworkConfigSet_t loopback_transformation {}

Network configuration.

## ◆ max_serialized_size

uint32_t max_serialized_size = 0

Maximum serialized size of data type.

## ◆ ownership

dds::OwnershipQosPolicy ownership

Ownership Qos, implemented in the library.

## ◆ ownership_strength

dds::OwnershipStrengthQosPolicy ownership_strength

Ownership Strength Qos, implemented in the library.

## ◆ participant_guid

GUID_t participant_guid

Participant GUID.

## ◆ participant_key

BuiltinTopicKey_t participant_key {{0, 0, 0}}

Builtin participant topic Key.

## ◆ partition

dds::PartitionQosPolicy partition

Partition Qos, implemented in the library.

## ◆ persistence_guid

GUID_t persistence_guid

Persistence GUID.

## ◆ presentation

dds::PresentationQosPolicy presentation

Presentation Qos, NOT implemented in the library.

## ◆ properties

ParameterPropertyList_t properties

Property list.

## ◆ publish_mode

fastcdr::optional<dds::PublishModeQosPolicy> publish_mode

Publish mode qos policy.

## ◆ related_datareader_key

GUID_t related_datareader_key

## ◆ reliability

dds::ReliabilityQosPolicy reliability

Reliability Qos, implemented in the library.

## ◆ remote_locators

RemoteLocatorList remote_locators

Remote locators.

## ◆ representation

dds::DataRepresentationQosPolicy representation

Data representation.

## ◆ resource_limits

fastcdr::optional<dds::ResourceLimitsQosPolicy> resource_limits

Resource limits Qos.

## ◆ rtps_reliable_writer

fastcdr::optional<dds::RTPSReliableWriterQos> rtps_reliable_writer

Reliable writer qos policy.

## ◆ topic_data

dds::TopicDataQosPolicy topic_data

Topic Data Qos, NOT implemented in the library.

## ◆ topic_kind

TopicKind_t topic_kind = TopicKind_t::NO_KEY

Topic kind.

## ◆ topic_name

fastcdr::string_255 topic_name

Topic name.

## ◆ transport_priority

fastcdr::optional<dds::TransportPriorityQosPolicy> transport_priority

Transport priority Qos.

## ◆ type_information

dds::xtypes::TypeInformationParameter type_information

Type information.

## ◆ type_name

fastcdr::string_255 type_name

Type name.

## ◆ user_data

dds::UserDataQosPolicy user_data

User Data Qos, implemented in the library.

## ◆ writer_data_lifecycle

fastcdr::optional<dds::WriterDataLifecycleQosPolicy> writer_data_lifecycle

Writer data lifecycle Qos.

## ◆ writer_resource_limits

fastcdr::optional<dds::WriterResourceLimitsQos> writer_resource_limits

Writer resource limits qos policy.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/builtin/data/PublicationBuiltinTopicData.hpp